struct irq_chip
Prev | Chapter 7. Structures | Next

## Name

struct irq_chip — hardware interrupt chip descriptor

## Synopsis

    struct irq_chip {
      const char * name;
      unsigned int	(* startup) (unsigned int irq);
      void (* shutdown) (unsigned int irq);
      void (* enable) (unsigned int irq);
      void (* disable) (unsigned int irq);
      void (* ack) (unsigned int irq);
      void (* mask) (unsigned int irq);
      void (* mask_ack) (unsigned int irq);
      void (* unmask) (unsigned int irq);
      void (* eoi) (unsigned int irq);
      void (* end) (unsigned int irq);
      void (* set_affinity) (unsigned int irq, cpumask_t dest);
      int (* retrigger) (unsigned int irq);
      int (* set_type) (unsigned int irq, unsigned int flow_type);
      int (* set_wake) (unsigned int irq, unsigned int on);
    #ifdef CONFIG_IRQ_RELEASE_METHOD
      void (* release) (unsigned int irq, void *dev_id);
    #endif
      const char * typename;
    };

## Members

name

  name for /proc/interrupts

startup

  start up the interrupt (defaults to ->enable if NULL)

shutdown

  shut down the interrupt (defaults to ->disable if NULL)

enable

  enable the interrupt (defaults to chip->unmask if NULL)

disable

  disable the interrupt (defaults to chip->mask if NULL)

ack

  start of a new interrupt

mask

  mask an interrupt source

mask_ack

  ack and mask an interrupt source

unmask

  unmask an interrupt source

eoi

  end of interrupt - chip level

end

  end of interrupt - flow level

set_affinity

  set the CPU affinity on SMP machines

retrigger

  resend an IRQ to the CPU

set_type

  set the flow type (IRQ_TYPE_LEVEL/etc.) of an IRQ

set_wake

  enable/disable power-management wake-on of an IRQ

release

  release function solely used by UML

typename

  obsoleted by name, kept as migration helper

## Description

Prev | Up | Next
Chapter 7. Structures | Home | struct irq_desc